## dnsrecon 0.8.12

=== requirements.txt ===
dnspython
netaddr

## dnsrecon 0.8.9

=== debian/changelog ===
dnsrecon (0.8.9-1) unstable; urgency=medium

  [ Marcos Fouces ]
  * Debian initial release
  * Set maintenance by pkg-security team
  * Bump to standards-version 3.9.8
  * Bump to debhelper 9
  * Fix copyright file to be dep-5 compliant
  * Drop unneeded patches
  * Update rules file to use dh with python2
  * Update watch file to version 4  

  [ Raphaël Hertzog ]
  * Fix copyright file to mention GPL-2 and not GPL-2+ as only version 2 is
    allowed.
  * Use ${python:Depends} instead of "python" in Depends.
  * Drop useless debian/dirs.
  * Rename debian/docs into debian/dnsrecon.docs for consistency.

 -- Marcos Fouces <mfouces@yahoo.es>  Tue, 23 Aug 2016 22:31:10 +0200

dnsrecon (0.8.9-0kali1) kali-dev; urgency=medium

  * Import new upstream release 
  * Drop double install of dnsrecon.py (one in usr/share, one in usr/bin) and
    replace it by a helper-script
  * Fix the patch change-dirs
  * Drop the overrides in debian/rules as they are not needed anymore

 -- Sophie Brun <sophie@freexian.com>  Wed, 15 Jul 2015 09:52:08 +0200

dnsrecon (0.8.8-1kali1) kali; urgency=low

  * Upstream import, closes #1407

 -- Mati Aharoni <muts@kali.org>  Fri, 04 Jul 2014 10:14:45 -0400

dnsrecon (0.8.7+git20140210-0kali1) kali; urgency=low

  * Imported new upstream release

 -- Devon Kearns <dookie@kali.org>  Mon, 10 Feb 2014 10:30:35 -0700

dnsrecon (0.8.1+git20130323-1kali0) kali; urgency=low

  * Imported new upstream version

 -- Devon Kearns <dookie@kali.org>  Sat, 23 Mar 2013 10:42:10 -0600

dnsrecon (0.7.9-1kali2) kali; urgency=low

  * Removed desktop files

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 07:44:16 -0500

dnsrecon (0.7.9-1kali1) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Fri, 17 Aug 2012 11:11:35 -0600

=== debian/control ===
Source: dnsrecon
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <mfouces@yahoo.es>
Build-Depends: debhelper (>= 9), dh-python, python
Standards-Version: 3.9.8
Homepage: https://github.com/darkoperator/dnsrecon
Vcs-Git: https://anonscm.debian.org/git/pkg-security/dnsrecon.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/dnsrecon.git

Package: dnsrecon
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dnspython, python-netaddr
Description: Powerful DNS enumeration script
 DNSRecon is a Python script that provides the ability to perform:
 .
  * Check all NS Records for Zone Transfers.
  * Enumerate General DNS Records for a given Domain 
  (MX, SOA, NS, A, AAAA, SPF and TXT).
  * Perform common SRV Record Enumeration.
  * Top Level Domain (TLD) Expansion.
  * Check for Wildcard Resolution.
  * Brute Force subdomain and host A and AAAA records 
  given a domain and a wordlist.
  * Perform a PTR Record lookup for a given IP Range or CIDR.
  * Check a DNS Server Cached records for A, AAAA and CNAME 
  * Records provided a list of host records in a text file to check.
  * Enumerate Common mDNS records in the Local Network
  * Enumerate Hosts and Subdomains using Google

## dnsrecon 0.8.12

=== debian/changelog ===
dnsrecon (0.8.12-1) unstable; urgency=medium

  * Team upload.

  [ Marcos Fouces ]
  * New upstream version 0.8.12
  * Bump Standards-revision to 4.1.3 (no change required).

  [ Sophie Brun ]
  * Update debian/control with new Vcs-*
  * Add basic autopkgtest
  * Add patch to fix usage output
  * Update manpage

 -- Sophie Brun <sophie@freexian.com>  Mon, 19 Feb 2018 15:30:29 +0100

dnsrecon (0.8.11-1) unstable; urgency=medium

  [ Lorenzo "Palinuro" Faletra ]
  * Remove mDNS enumeration feature from package description (Closes: #852802).

  [ Marcos Fouces ]
  * Fix minor typo in changelog.
  * Update uploader email.
  * New upstream version 0.8.11
  * Bump to Standards-Version 4.1.1 (no changes required).
  * Bump to dh 10.
  * Remove trailing whitespaces.
  * Fix man page to reflect the need to use absolute paths for files
    with some options (Thanks to Lukas Schwaighofer).
  * Add copyright holder for new file.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Mon, 20 Nov 2017 21:29:30 +0100

=== debian/control ===
Source: dnsrecon
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: debhelper (>= 10), dh-python, python
Standards-Version: 4.1.3
Homepage: https://github.com/darkoperator/dnsrecon
Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon

Package: dnsrecon
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dnspython, python-netaddr
Description: Powerful DNS enumeration script
 DNSRecon is a Python script that provides the ability to perform:
 .
  * Check all NS Records for Zone Transfers.
  * Enumerate General DNS Records for a given Domain
  (MX, SOA, NS, A, AAAA, SPF and TXT).
  * Perform common SRV Record Enumeration.
  * Top Level Domain (TLD) Expansion.
  * Check for Wildcard Resolution.
  * Brute Force subdomain and host A and AAAA records
  given a domain and a wordlist.
  * Perform a PTR Record lookup for a given IP Range or CIDR.
  * Check a DNS Server Cached records for A, AAAA and CNAME
  * Records provided a list of host records in a text file to check.
  * Enumerate Hosts and Subdomains using Google

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_installchangelogs:
	dh_installchangelogs README.md

=== debian/tests/control ===
Test-Command: dnsrecon --help

## dnsrecon 0.8.13

=== debian/changelog ===
dnsrecon (0.8.13-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to
    Debian Security Tools <team+pkg-security@tracker.debian.org>

  [ Marcos Fouces ]
  * New upstream version 0.8.13.
  * Update manpage to reflect upstream changes.
  * Refresh patch.
  * Bump to dh 11.
  * Bump to Standards-Version 4.1.4 (no changes needed).
  * Add dependency on python-lxml.
  * Update copyright years.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Tue, 01 May 2018 21:37:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: dnsrecon
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
-Build-Depends: debhelper (>= 10), dh-python, python
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11), dh-python, python
+Standards-Version: 4.1.4
 Homepage: https://github.com/darkoperator/dnsrecon
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon
 
 Package: dnsrecon
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-dnspython, python-netaddr
+Depends: ${misc:Depends}, ${python:Depends}, python-dnspython, python-netaddr, python-lxml
 Description: Powerful DNS enumeration script
  DNSRecon is a Python script that provides the ability to perform:
  .

## dnsrecon 0.8.14

=== debian/changelog ===
dnsrecon (0.8.14-1) unstable; urgency=medium

  * Team upload.
  * Remove override_dh_installchangelogs
  * Bump Standards-Version to 4.2.1 (no changes required)
  * Install README.md as docs

 -- Sophie Brun <sophie@freexian.com>  Thu, 22 Nov 2018 11:53:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
 Build-Depends: debhelper (>= 11), dh-python, python
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/darkoperator/dnsrecon
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon

## dnsrecon 0.9.1

=== requirements.txt ===
dnspython
netaddr
lxml

=== debian/changelog ===
dnsrecon (0.9.1-3) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Raphaël Hertzog ]
  * Switch to Python 3 (Closes: #939641)
  * Mark current DEP-8 runtime test a superficial

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 26 Feb 2020 16:23:13 +0100

dnsrecon (0.9.1-2) unstable; urgency=medium

  * Bump to Standards-Version 4.4.0 (no changes required).

 -- Marcos Fouces <marcos.fouces@gmail.com>  Tue, 17 Sep 2019 23:08:33 +0200

dnsrecon (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Add upstream metadata.
  * Refresh patch.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Wed, 01 May 2019 00:35:48 +0200

dnsrecon (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * d/control:
    - Bump debhelper compatibility level to 12
    - Switch Build-Depends from debhelper to debhelper-compat, dropping
      d/compat (obsoleted by debhelper-compat).
    - Bump to Standards-Version 4.3.0 (no changes required).
  * d/dnsrecon.1
    - Rewrite manpage.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Wed, 03 Apr 2019 23:06:40 +0200

=== debian/control ===
Source: dnsrecon
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: debhelper-compat (=12), dh-python, python3
Standards-Version: 4.5.0
Homepage: https://github.com/darkoperator/dnsrecon
Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon

Package: dnsrecon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-dnspython, python3-netaddr, python3-lxml
Description: Powerful DNS enumeration script
 DNSRecon is a Python script that provides the ability to perform:
 .
  * Check all NS Records for Zone Transfers.
  * Enumerate General DNS Records for a given Domain
    (MX, SOA, NS, A, AAAA, SPF and TXT).
  * Perform common SRV Record Enumeration.
  * Top Level Domain (TLD) Expansion.
  * Check for Wildcard Resolution.
  * Brute Force subdomain and host A and AAAA records
    given a domain and a wordlist.
  * Perform a PTR Record lookup for a given IP Range or CIDR.
  * Check a DNS Server Cached records for A, AAAA and CNAME
  * Records provided a list of host records in a text file to check.
  * Enumerate Hosts and Subdomains using Google

## dnsrecon 0.9.1+git20200409

=== debian/changelog ===
dnsrecon (0.9.1+git20200409-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.9.1+git20200409 (fixes the issue
    https://bugs.kali.org/view.php?id=6241)
  * Update date and email in debian/copyright
  * Update installation with new setup.py
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Apr 2020 15:36:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
-Build-Depends: debhelper-compat (=12), dh-python, python3
+Build-Depends: debhelper-compat (=12), dh-python, python3, python3-setuptools
 Standards-Version: 4.5.0
 Homepage: https://github.com/darkoperator/dnsrecon
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/dnsrecon/

%:
	dh $@ --with python3 --buildsystem=pybuild

## dnsrecon 0.9.1+git20200921

=== requirements.txt ===
dnspython
netaddr
lxml
flake8

=== debian/changelog ===
dnsrecon (0.9.1+git20200921-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream snapshot to fix issue (see
    https://bugs.kali.org/view.php?id=6794)
  * Update debian/copyright
  * Refresh patches
  * Don't install egg-info

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Oct 2020 16:00:14 +0200

## dnsrecon 0.10.0

=== requirements.txt ===
dnspython>=2.0.0
netaddr
lxml
flake8

=== debian/changelog ===
dnsrecon (0.10.0-1) unstable; urgency=medium

  * Update uploader email to @debian.org.
  * New upstream release.
  * Update --lifetime option description in manpage.
  * Bump to debhelper-compat level 13.
  * Add Rules-Requires-Root: no in d/control source stanza.
  * Bump to Standards-Version 4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Mon, 08 Feb 2021 17:42:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
-Build-Depends: debhelper-compat (=12), dh-python, python3, python3-setuptools
-Standards-Version: 4.5.0
+Uploaders: Marcos Fouces <marcos@debian.org>
+Build-Depends: debhelper-compat (=13), dh-python, python3, python3-setuptools
+Standards-Version: 4.5.1
 Homepage: https://github.com/darkoperator/dnsrecon
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon
+Rules-Requires-Root: no
 
 Package: dnsrecon
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_install:
+	dh_install
+	rm -r debian/dnsrecon/usr/share/dnsrecon/dnsrecon-*.egg-info

=== debian/tests/control ===
Test-Command: dnsrecon --help
Restrictions: superficial

## dnsrecon 1.0.0

=== requirements.txt ===
dnspython>=2.0.0
netaddr
lxml
flake8
pytest

=== debian/changelog ===
dnsrecon (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Marcos Fouces <marcos@debian.org>  Sun, 19 Dec 2021 00:07:20 +0100

dnsrecon (0.10.1-1) unstable; urgency=medium

  [ Stefan Pietsch ]
  * Fix typo and grammar in man page

  [ Marcos Fouces ]
  * New upstream version 0.10.1
  * Refresh patch for new upstream version.
  * Disable upstream tests.
  * Update manual page.
  * Bump to Standards-Version 4.6.0 (no changes required).
  * Fix minor typos in upstream metadata.
  * Set python3 in shebang for dnshelper.py.

 -- Marcos Fouces <marcos@debian.org>  Thu, 19 Aug 2021 00:57:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (=13), dh-python, python3, python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/darkoperator/dnsrecon
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+# I need some more time in order to fix this tests on Debian...
+# This is a bad practice :-(
+override_dh_auto_test:
+
 override_dh_install:
 	dh_install
 	rm -r debian/dnsrecon/usr/share/dnsrecon/dnsrecon-*.egg-info

## dnsrecon 1.1.2

=== debian/changelog ===
dnsrecon (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2
  * Bump to Standards-Version 4.6.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Sun, 07 Aug 2022 13:59:25 +0200

dnsrecon (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Manual page corrections.

 -- Marcos Fouces <marcos@debian.org>  Sun, 12 Jun 2022 18:25:25 +0200

dnsrecon (1.1.0-2) unstable; urgency=medium

  * Remove trivial autopkgtest. Need time to create a more suitable one.

 -- Marcos Fouces <marcos@debian.org>  Sat, 07 May 2022 13:54:16 +0200

dnsrecon (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Refresh patches.
  * Set new path for bingenum.py and yandexenum.py in d/copyright.
  * Improve and add new -y option to d/dnsrecon.1 manual page.
  * Update copyright year.

 -- Marcos Fouces <marcos@debian.org>  Thu, 05 May 2022 23:12:39 +0200

## dnsrecon 1.1.3

=== debian/changelog ===
dnsrecon (1.1.3-2) unstable; urgency=medium

  * Team upload.
  * Ship symlink in /usr/bin instead of helper-script (to allow input with
    relative path):
     The downside is that users who might have been using the lists under
     "/usr/share/dnsrecon/" will now have to pass the full path of those
     (unless their current working directory is already that).

     The files shipped there are:
     /usr/share/dnsrecon/namelist.txt
     /usr/share/dnsrecon/snoop.txt
     /usr/share/dnsrecon/subdomains-top1mil-20000.txt
     /usr/share/dnsrecon/subdomains-top1mil-5000.txt
     /usr/share/dnsrecon/subdomains-top1mil.txt

     This change is being made as it makes more sense to allow users
     to pass relative paths as input rather than requiring absolute
     paths and assuming any relative path is under "/usr/share/dnsrecon/".

     Thanks to the people who reported/interacted in the Kali bug report:
     https://bugs.kali.org/view.php?id=7761
     And to Jay Townsend for forwarding it to us.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Oct 2022 11:34:24 +0100

dnsrecon (1.1.3-1) unstable; urgency=medium

  * New (minor) upstream version 1.1.3

 -- Marcos Fouces <marcos@debian.org>  Wed, 31 Aug 2022 22:50:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (=13), dh-python, python3, python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/darkoperator/dnsrecon
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon

## dnsrecon 1.1.5

=== debian/changelog ===
dnsrecon (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * d/control:
    - Bump to Standards-Version 4.6.2 (no changes needed).
    - Add field Build-Depends-Indep to python3-pytest.
  * d/patches: Set forwarded not-needed to patch.
  * d/copyright: Update upstream year and add myself.
  * d/tests: Add autopkgtest with needs-internet and flaky restrictions.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 24 Jul 2023 00:40:08 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (=13), dh-python, python3, python3-setuptools
-Standards-Version: 4.6.1
+Build-Depends-Indep: python3-pytest <!nocheck>
+Standards-Version: 4.6.2
 Homepage: https://github.com/darkoperator/dnsrecon
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon

## dnsrecon 1.2.0

=== requirements.txt ===
dnspython>=2.0.0
netaddr
lxml

=== debian/changelog ===
dnsrecon (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Prevent installation of private modules in public modules directory
    (Closes: #1087221)

 -- Peter Wienemann <wiene@debian.org>  Tue, 31 Dec 2024 16:28:29 +0100

dnsrecon (1.2.0-2) unstable; urgency=medium

  * Add Build-Depends: pybuild-plugin-pyproject.

 -- Marcos Fouces <marcos@debian.org>  Thu, 02 May 2024 18:42:24 +0200

dnsrecon (1.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove d/patches as it is no longer needed.
  * d/dnsrecon.install: remove namelist.txt, add dnsrecon dir.
  * d/rules: remove dh_install override as it is no longer needed.
  * d/manpages.dnsrecon.1: minor tweaks.
  * d/copyright: update upstream and packager copyright year.

 -- Marcos Fouces <marcos@debian.org>  Sat, 27 Apr 2024 00:07:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
-Build-Depends: debhelper-compat (=13), dh-python, python3, python3-setuptools
+Build-Depends: debhelper-compat (=13), dh-python, python3, python3-setuptools, pybuild-plugin-pyproject
 Build-Depends-Indep: python3-pytest <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://github.com/darkoperator/dnsrecon

=== debian/tests/control ===
Test-Command: pytest
Depends: @, @builddeps@,
Restrictions: needs-internet, flaky,

## dnsrecon 1.3.1

=== requirements.txt ===
dnspython>=2.6.1
netaddr
lxml
requests
loguru

=== debian/changelog ===
dnsrecon (1.3.1-3) unstable; urgency=medium

  * Team upload.
  * Revert "d/dnsrecon.install: install contents in /usr/share/dnsrecon/".
  * debian/tests/control: add a simple test trying to execute dnsrecon.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 12 Oct 2025 16:32:30 -0300

dnsrecon (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
      - Add python3-loguru and python3-requests to Dependencies field.
        (Closes: #1117835, #1117836)
      - Bump standards-version to 4.7.2, no changes needed
      - Run wrap-and-sort -taf.
  * debian/dnsrecon.install: install contents in /usr/share/dnsrecon/.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sat, 11 Oct 2025 10:43:26 -0300

dnsrecon (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Samuel Henrique <samueloph@debian.org>  Fri, 10 Oct 2025 00:02:08 +0100

dnsrecon (1.3.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.3.1

 -- Arlisson Jaques <arlissonjaques@gmail.com>  Fri, 02 May 2025 15:07:27 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Marcos Fouces <marcos@debian.org>
-Build-Depends: debhelper-compat (=13), dh-python, python3, python3-setuptools, pybuild-plugin-pyproject
-Build-Depends-Indep: python3-pytest <!nocheck>
-Standards-Version: 4.6.2
+Uploaders: Marcos Fouces <marcos@debian.org>,
+Build-Depends: debhelper-compat (=13),
+               dh-python,
+               pybuild-plugin-pyproject,
+               python3,
+               python3-setuptools,
+Build-Depends-Indep: python3-pytest <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/darkoperator/dnsrecon
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsrecon.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsrecon
@@ -13,7 +17,13 @@
 
 Package: dnsrecon
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-dnspython, python3-netaddr, python3-lxml
+Depends: python3-dnspython,
+         python3-loguru,
+         python3-lxml,
+         python3-netaddr,
+         python3-requests,
+         ${misc:Depends},
+         ${python3:Depends},
 Description: Powerful DNS enumeration script
  DNSRecon is a Python script that provides the ability to perform:
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/dnsrecon/
# Prevent installation in public modules directory (see #1087221)
export PYBUILD_DISABLE=install

%:
	dh $@ --with python3 --buildsystem=pybuild

# I need some more time in order to fix this tests on Debian...
# This is a bad practice :-(
override_dh_auto_test:

=== debian/tests/control ===
Test-Command: pytest
Depends: @, @builddeps@,
Restrictions: needs-internet, flaky,

Test-Command: dnsrecon -h | grep dnsrecon
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dnsrecon-$1.tar.gz%" \
   https://github.com/darkoperator/dnsrecon/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
